Subject: Re: How can Zle -U interfere with zsh-syntax-highlighting?
From: Sebastian Gniazdowski <[email-masked]>
To: Daniel Shahaf <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Wed, 25 May 2016 08:14:11 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On 19 May 2016 at 23:22, Daniel Shahaf <[email-masked]> wrote:
> Bart Schaefer wrote on Sun, May 15, 2016 at 04:13:21 -0700:
>> I suppose it might make sense for "zle -U" to pretend to be actual
>> input even to the extent of PENDING, but it currently does not.
>
> Like this?
>
> [[[
> diff --git a/Src/Zle/zle_params.c b/Src/Zle/zle_params.c
> ...
> It doesn't cause any obvious problem, but I couldn't reproduce the
> original slowdown so I'm not sure whether this patch fixes it.

I've tested the patch and it still has delay

https://asciinema.org/a/4amtz0ie97ec3zjtg6oj0ywvr

Best regards,
Sebastian Gniazdowski